Bug 1019753 - Consumerid not getting removed from facts list after consumer is deleted from server
Consumerid not getting removed from facts list after consumer is deleted from...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Devan Goodwin
John Sefler
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-10-16 07:02 EDT by spandey
Modified: 2015-04-23 19:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:22:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2013-10-16 07:02:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Prerequisites :  
Rhel7 with following subscription-manager rpm 
subscription-manager-1.10.3-1.git.8.10ad2b2.el7.x86_64
subscription-manager-migration-data-2.0.4-1.git.0.6bebf6f.el7.noarch
subscription-manager-firstboot-1.10.3-1.git.8.10ad2b2.el7.x86_64
subscription-manager-migration-1.10.3-1.git.8.10ad2b2.el7.x86_64
subscription-manager-gui-1.10.3-1.git.8.10ad2b2.el7.x86_64


Steps to Repro : 
Testcase : https://tcms.engineering.redhat.com/case/276276/?from_plan=5846

Register client to candlepin and delete comsumer from server 
restart rhsmcertd service 

Expected Result : 
After 2 min consumer uuid should not displayed in facts list .

Actual Result : 
Consumer uuid is displaying in facts list  even after 4 min .

oot@dhcp201-190 facts]# curl -X DELETE -k -u admin:admin  https://10.65.201.193:8443/candlepin/consumers/397e4379-d1b4-4ecd-a1d4-bff7888bb4bd
[root@dhcp201-190 facts]# service rhsmcertd restart
Redirecting to /bin/systemctl restart  rhsmcertd.service
[root@dhcp201-190 facts]# subscription-manager facts --list | grep system.uuid
dmi.system.uuid: 8e2d3d65-50c4-b96a-a737-ec965d647777
system.uuid: 397e4379-d1b4-4ecd-a1d4-bff7888bb4bd
[root@dhcp201-190 facts]# date
Thu Oct 17 03:22:39 IST 2013
[root@dhcp201-190 facts]# date
Thu Oct 17 03:26:43 IST 2013
[root@dhcp201-190 facts]# subscription-manager facts --list | grep system.uuid
dmi.system.uuid: 8e2d3d65-50c4-b96a-a737-ec965d647777
system.uuid: 397e4379-d1b4-4ecd-a1d4-bff7888bb4bd
[root@dhcp201-190 facts]#
Comment 2 Devan Goodwin 2013-11-06 08:26:12 EST
In looking into this bug we decided to remove this fact entirely. It was not actually a fact, you would not see it on the server, it was just added on the fly when you viewed facts on the client, which we discussed and decided was weird behaviour and we'd be better without.

Instead we move the UUID display to the facts dialog above the facts table itself. It remains in the identity command on the CLI.

Fixed in subscription-manager.git: 83c6d38b1eca32d9cf5c34a1ab42141dbebb322c

The display of the UUID keys off whether or not there is a consumer cert in /etc/pki/consumer. As we know, if you delete a consumer remotely, certs are archived on the next rhsmcertd run, so between the time you delete the consumer and the next rhsmcertd run, you will still see UUID in the facts dialog.

Once rhsmcertd runs, it will no longer appear as the consumer cert is gone.
Comment 5 spandey 2013-11-08 02:11:31 EST
Verified Using following rpm 

subscription-manager-firstboot-1.10.6-1.el7.x86_64
subscription-manager-migration-data-2.0.5-1.git.0.3be2ad4.el7.noarch
subscription-manager-1.10.6-1.el7.x86_64
subscription-manager-gui-1.10.6-1.el7.x86_64
subscription-manager-migration-1.10.6-1.el7.x86_64


I can see the change mentioned in comment 2 , so resolving defect as verified
Comment 6 Ludek Smid 2014-06-13 09:22:02 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.